Subject: PMP> Subagent Problem

From: Chris Wellens <[email-masked]>
Date: Thu, 6 Mar 1997 10:28:08 -0800 (PST)

As many of you have discovered, the SNMP protocol does not
accomodate multiple agents in one device very elegantly.  This
has been a known problem for at least four years, with multiple
solutions proposed during that time.

Unfortunately, this problem does affect the design and
implementation of the printer MIB on some printers, and 
constrains the jobmib work, as well.

A working group was formed to address the problem: the Agent X
(agent extensibility) Working Group.  They have been meeting for
about a year, and have a preliminary proposal.  

Charter information is at:
http://www.ietf.org/html.charters/agentx-charter.html

General Discussion:  [email-masked]
Subscribe:	     [email-masked]
	In the body of your message:  Subject: subscribe
Archive: 	     ftp://ftp.fv.com/pub/agentx/

This IETF Working Group, printmib, is *NOT* chartered to do this work.
If this is an issue for your current and future product 
implementations, then I strongly recommend participating or monitoring
the work in the agentx working group.

---

From: [email-masked] (Bill Wagner)
Date: Thu, 13 Mar 1997 23:34:06 -0500

Chris,
     
     Harry says over a year because the PWG had the idea that we would do 
     our homework and get all the ducks lined up for the next phase of the 
     printer MIB before requesting official work-group sanction. This 
     effort started in October of 1995. We are now on the n'th interation 
     of going over some things, while others remain unaddressed.

     We had gone over the need to reference RFC 1907 and RFC 1573 many 
     times, and were assure by those whom we beleived to be conniscent that 
     we were 'grandfathered' into not needing them. The change renders many 
     of the existing implementations obsolete, and I have some doubt that 
     there is any functional justification for the expense and 
     cumbersomeness of going to SNMPV2.
     
     I would also say that, if reference to the RFC1213 now must be 
     replaced with RFC 1907 and RFC 1573, I believe even more strongly that 
     these references are unnecessary and inappropriate. The only reference 
     to RFC 1213 in the printer MIB is in relation to the channel index in 
     the description of prtChannelIfIndex. Having the set of MIB's called 
     for in RFC 1573 to correlate a channel to an interface makes no sense. 
     
     The contention, previously expressed by others, that SNMP is 
     cumbersome and inappropriate for printer management would get 
     substantial support if this is the way it goes. Indeed, maybe the best 
     thing would be to leave the MIB at rfc1759.
     
     ______________________________ Reply Separator 
     _________________________________
Subject: Re: PMP> Subagent Problem
Author:  Chris Wellens <[email-masked]> at Internet
Date:    3/13/97 6:38 PM

     
On Mon, 10 Mar 1997, Harry Lewis <[email-masked]> wrote:
     
[stuff deleted]
     
> I appreciate the pointer to the SubAgent group, however, I'm not 
> sure multiple agents per device is as prevalent a problem with
> printers as is the device with multiple interfaces.
     
On the subject of multiple interfaces, we should probably make 
sure everyone is reading the same RFCs.  As you know Lloyd and I 
are working on compiling the list of all the required changes to 
RFC 1759 along with the justification.
     
A big change is that all SNMP RFCs are required to support 
SNMPv2.  This means that our references to MIB II, RFC 1213, now 
have to be updated to the two documents that replace it.  These 
are:
     
         RFC 1907 "MIB for Version2 of SNMPv2" 
         RFC 1573 "Evolution of the Interfaces Group of MIB-II"
     
I thought RFC 1573 did a pretty comprehensive job of addressing 
multiple interfaces.  What do you think is missing?
     
[stuff deleted]
     
> When we try to get too granular with this scheme, then we run into
> problems. Gail has demonstrated this lately with each device (printer) 
> sharing some other device (storage) in the hrMIB. But, I don't think
> this is the "multiple agent problem" (is it?). This is lack of
> demarcation of shared resources (and I haven't quite decided how to 
> respond to Gail's dilemma).
     
I will have to reread Gail's email.
     
> I don't know what prompted your note on AgentX. 
     
I am attempting to keep us focused on getting to DRAFT 
Standard.  We cannot afford to drift off into other areas that 
other groups are handling.  That's all.

---

From: JK Martin <[email-masked]>
Date: Fri, 14 Mar 1997 09:57:19 -0500 (EST)

I agree with Bill 100%.  If we are indeed forced to reference the
new SNMPV2-based MIBs, then we should remove references to those
MIBs entirely (for the reasons Bill recently proposed).

	...jay

----- Begin Included Message -----

>From [email-masked] Fri Mar 14 01:07 EST 1997
Mime-Version: 1.0
Date: Thu, 13 Mar 1997 23:34:06 -0500
From: [email-masked] (Bill Wagner)
Subject: Re[2]: PMP> Subagent Problem
Cc: [email-masked]
Content-Transfer-Encoding: 7bit

     Chris,

     

     

[stuff deleted]

     

     
[stuff deleted]

     

----- End Included Message -----

---

From: Harry Lewis <[email-masked]>
Date: Fri, 14 Mar 1997 15:32:16 -0500

Classification:
Prologue:
Epilogue: Harry Lewis - IBM Printing Systems

Chris, I don't think we're drifting off into topics that other areas (AgentX)
are handling. Rather, we ran smack into the pier 2 years ago and (apparently)
have had a damaged bow ever since!

I think RFC1573 does a fine job handling multiple interfaces... and it *still*
has ifNumber... the number of
interfaces on the *system*! Perhaps we could make use of ifStackTable and/or
Virtual Circuits as alternatives to our Channel group (I'm not recommending
this), and I believe we've already helped ourselves to the extended list of
ifTypes... but I see little in RFC1573 that supports the notion of each printer
interface treating itself as if it were the only one there.

I guess the "problem" I'm having is, we're either going to play this game the
IETF way or we're going to play it the PWG way. I have no problem with the PWG
reaching consensus that, in a network printing environment, no one really
cares, when they've discovered a printer via one interface, that there's
another interface through which they could "talk". And no one really cares to
distinguish a printer vs. an interface when it comes to counting packets. If
we're going to play by IETF rules, however, I'd like someone to explain how a
printer should treat multiple interfaces with respect to RFC1213, 1573 and
their successors... once and for all!
---------------------- Forwarded by Harry Lewis/Boulder/IBM on 03/14/97 12:49 PM
 ---------------------------

        IINUS1.RSCS6039@D03AU018
        03/13/97 07:41 PM
Please respond to IINUS1.RSCS6039 @ VM

To: Harry Lewis/Boulder/IBM@IBMUS
cc:
Subject:  Re: PMP> Subagent Problem

>From Chris:

*stuff deleted*

* RFC 1907 "MIB for Version2 of SNMPv2"
* RFC 1573 "Evolution of the Interfaces Group of MIB-II"

*stuff deleted*

---

From: Chris Wellens <[email-masked]>
Date: Mon, 17 Mar 1997 19:26:22 -0800 (PST)

On Thu, 13 Mar 1997, Bill Wagner wrote:

>      printer MIB before requesting official work-group sanction. 

Could you define what this means?  As far as I can tell, the
requirements for going to DRAFT standard were a surprise to most
participants.  Therefore, I'm not sure what ducks could have
been lined up.  But, I no see no point in beating a dead horse
or dead duck :-).

>	This 

Such as?

>      we were 'grandfathered' into not needing them. 

Can you give me some specific names here or point me to the
email archives where the discussion took place?  If the
discussion took place many times, then it should be in the
archives or minutes.

>	The change renders many 

Once we go to DRAFT standard, all the current implementations will
be obsolete.  Going to DRAFT standard is our goal and the only
reason the group was chartered, so I am not following your
point.

I am not sure what you mean by "functional justification".  I
went back and read the language of the requirement, and it says
the standard must be "updated for consistency with the v2 SMI".
I talked to some other Working Group Chairs who found some
liberal interpretations for this.   However, we will need a
technical analysis of why complying with 1907 and 1573 will be a
problem.  You've concluded it is expensive and cumbersome; you
will need to share the evidence for the conclusion to make a
case for not complying.

---

From: Harry Lewis <[email-masked]>
Date: Mon, 17 Mar 1997 23:19:46 -0500

Classification:
Prologue:

I thought we followed v2 SMI from the start.
---------------------- Forwarded by Harry Lewis/Boulder/IBM on 03/17/97 09:10 PM
 ---------------------------

        [email-masked]
        03/17/97 08:26 PM

To: [email-masked]@internet
cc:
Subject: Re: Re[2]: PMP> Subagent Problem

>From Chris Wellens - excerpt...

I went back and read the language of the requirement, and it says
the standard must be "updated for consistency with the v2 SMI".

Harry Lewis - IBM Printing Systems